## org.apache.lucene.queries.function.valuesource
Class SimpleFloatFunction

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.SingleFunction
              org.apache.lucene.queries.function.valuesource.SimpleFloatFunction

    public abstract class SimpleFloatFunction

extends SingleFunction

A simple float function with a single argument

Field Summary

Fields inherited from class org.apache.lucene.queries.function.valuesource.SingleFunction
`source`

Constructor Summary
`SimpleFloatFunction(ValueSource source)`

Method Summary
`protected abstract float` `func(int doc, FunctionValues vals)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()

Methods inherited from class org.apache.lucene.queries.function.valuesource.SingleFunction
`createWeight, description, equals, hashCode, name`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleFloatFunction

    public SimpleFloatFunction(ValueSource source)

Method Detail

### func

    protected abstract float func(int doc,
                                  FunctionValues vals)

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.